/*
    This file is part of Frozen Bubble for S60.

    Frozen Bubble for S60 is free software; you can redistribute
    it and/or modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2 of
    the License, or (at your option) any later version.

    Frozen Bubble for S60 is distributed in the hope that it
    will be useful, but WITHOUT ANY WARRANTY; without even the implied
    warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    See the GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Frozen Bubble for S60; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __CWAVLOADER_H__
#define __CWAVLOADER_H__

#include <e32base.h>
#include "TSample.h"

// CWavLoader loads raw ( only sample data ) wav files which is 8-bit mono.
class CWavLoader : public CBase {
public:
  /// Two phased constructor
  static CWavLoader* NewL();

  static CWavLoader* NewLC();

  /// Default destructor
  ~CWavLoader();

private:

  /// Default constructor
  CWavLoader();

  /// second phase constructor
  void ConstructL();

public:

  /// Loads wav file and creates sample from it.
  /// Leaves on any error.
  /// @param aFileName file name with path
  /// @return pointer to constructed sample
  TSample LoadL( const TFileName& aFileName );
};
  
#endif

