/*
    This file is part of Frozen Bubble for S60.

    Frozen Bubble for S60 is free software; you can redistribute
    it and/or modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2 of
    the License, or (at your option) any later version.

    Frozen Bubble for S60 is distributed in the hope that it
    will be useful, but WITHOUT ANY WARRANTY; without even the implied
    warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    See the GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Frozen Bubble for S60; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// INCLUDE FILES
#include "FrozenBubble.hrh"
#include "FrozenBubbleDocument.h"
#include "FrozenBubbleApplication.h"

// ============================ MEMBER FUNCTIONS ===============================

// UID for the application;
// this should correspond to the uid defined in the mmp file
const TUid KUidFrozenBubbleApp = { _UID3 };

// -----------------------------------------------------------------------------
// CFrozenBubbleApplication::CreateDocumentL()
// Creates CApaDocument object
// -----------------------------------------------------------------------------
//
CApaDocument* CFrozenBubbleApplication::CreateDocumentL() {
  // Create an FrozenBubble document, and return a pointer to it
  return (static_cast<CApaDocument*> ( CFrozenBubbleDocument::NewL( *this ) ) );
}

// -----------------------------------------------------------------------------
// CFrozenBubbleApplication::AppDllUid()
// Returns application UID
// -----------------------------------------------------------------------------
//
TUid CFrozenBubbleApplication::AppDllUid() const {
  // Return the UID for the FrozenBubble application
  return KUidFrozenBubbleApp;
}

// ---------------------------------------------------------
// CDictionaryStore* CFrozenBubbleApp::OpenIniFileLC(RFs& aFs) const
// overrides CAknApplication::OpenIniFileLC to enable INI file support
// ---------------------------------------------------------
//
CDictionaryStore* CFrozenBubbleApplication::OpenIniFileLC(RFs& aFs) const {
  return CEikApplication::OpenIniFileLC(aFs);
}

// End of File
