/*
    This file is part of Frozen Bubble for S60.

    Frozen Bubble for S60 is free software; you can redistribute
    it and/or modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2 of
    the License, or (at your option) any later version.

    Frozen Bubble for S60 is distributed in the hope that it
    will be useful, but WITHOUT ANY WARRANTY; without even the implied
    warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    See the GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Frozen Bubble for S60; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __FROZENBUBBLEAPPLICATION_H__
#define __FROZENBUBBLEAPPLICATION_H__

// INCLUDES
#ifdef UIQ3
	#include <qikapplication.h>
#else
	#include <aknapp.h>
#endif


// CLASS DECLARATION

/**
* CFrozenBubbleApplication application class.
* Provides factory to create concrete document object.
* An instance of CFrozenBubbleApplication is the application part of the
* AVKON application framework for the FrozenBubble example application.
*/
#ifdef UIQ3
class CFrozenBubbleApplication : public CQikApplication {
#else
class CFrozenBubbleApplication : public CAknApplication {
#endif
public: // Functions from base classes

    /**
    * From CApaApplication, AppDllUid.
    * @return Application's UID (KUidFrozenBubbleApp).
    */
    TUid AppDllUid() const;

    /**
    * From CApaApplication, overridden to enable INI file support.
    * @return A pointer to the dictionary store
    */
    CDictionaryStore* OpenIniFileLC(RFs& aFs) const;
protected: // Functions from base classes

    /**
    * From CApaApplication, CreateDocumentL.
    * Creates CFrozenBubbleDocument document object. The returned
    * pointer in not owned by the CFrozenBubbleApplication object.
    * @return A pointer to the created document object.
    */
    CApaDocument* CreateDocumentL();
};

#endif // __FROZENBUBBLEAPPLICATION_H__

// End of File
